/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package modelo;

/**
 * Clase que guarda los requisitos no funcionales del proyecto
 */
public class ReqNoFuncional extends Requisito{
    /**
     * Descripcion
     */
    private String descripcion;
    /**
     * Este parámetro estático, lleva la cuenta del número de requisitos no funcionales
     * que se han creado, para poder reconocerlos unívocamente.
     */
    static int n_instancia=0;
    /**
     * identificador único
     */
    private int numero_id;
    /**
     * Guarda e inicializa el identificador
     */
    ReqNoFuncional() {
        n_instancia++;
        numero_id=n_instancia;
    }
    /**
     * @return the descripcion
     */
    public String getDescripcion() {
        return descripcion;
    }

    /**
     * @param descripcion the descripcion to set
     */
    public void setDescripcion(String descripcion) {
        this.descripcion = descripcion;
    }

    /**
     * @return the numero_id
     */
    public int getNumero_id() {
        return numero_id;
    }
    
    @Override
    public String toString() {
        return "[RNF]-"+numero_id+" "+nombre;
    }
}
